{ don't edit, this file is generated from a64reg.dat }
NR_NO = tregister($00000000);
NR_W0 = tregister($01040000);
NR_X0 = tregister($01050000);
NR_W1 = tregister($01040001);
NR_X1 = tregister($01050001);
NR_W2 = tregister($01040002);
NR_X2 = tregister($01050002);
NR_W3 = tregister($01040003);
NR_X3 = tregister($01050003);
NR_W4 = tregister($01040004);
NR_X4 = tregister($01050004);
NR_W5 = tregister($01040005);
NR_X5 = tregister($01050005);
NR_W6 = tregister($01040006);
NR_X6 = tregister($01050006);
NR_W7 = tregister($01040007);
NR_X7 = tregister($01050007);
NR_W8 = tregister($01040008);
NR_X8 = tregister($01050008);
NR_W9 = tregister($01040009);
NR_X9 = tregister($01050009);
NR_W10 = tregister($0104000A);
NR_X10 = tregister($0105000A);
NR_W11 = tregister($0104000B);
NR_X11 = tregister($0105000B);
NR_W12 = tregister($0104000C);
NR_X12 = tregister($0105000C);
NR_W13 = tregister($0104000D);
NR_X13 = tregister($0105000D);
NR_W14 = tregister($0104000E);
NR_X14 = tregister($0105000E);
NR_W15 = tregister($0104000F);
NR_X15 = tregister($0105000F);
NR_W16 = tregister($01040010);
NR_X16 = tregister($01050010);
NR_W17 = tregister($01040011);
NR_X17 = tregister($01050011);
NR_W18 = tregister($01040012);
NR_X18 = tregister($01050012);
NR_W19 = tregister($01040013);
NR_X19 = tregister($01050013);
NR_W20 = tregister($01040014);
NR_X20 = tregister($01050014);
NR_W21 = tregister($01040015);
NR_X21 = tregister($01050015);
NR_W22 = tregister($01040016);
NR_X22 = tregister($01050016);
NR_W23 = tregister($01040017);
NR_X23 = tregister($01050017);
NR_W24 = tregister($01040018);
NR_X24 = tregister($01050018);
NR_W25 = tregister($01040019);
NR_X25 = tregister($01050019);
NR_W26 = tregister($0104001A);
NR_X26 = tregister($0105001A);
NR_W27 = tregister($0104001B);
NR_X27 = tregister($0105001B);
NR_W28 = tregister($0104001C);
NR_X28 = tregister($0105001C);
NR_W29 = tregister($0104001D);
NR_X29 = tregister($0105001D);
NR_W30 = tregister($0104001E);
NR_X30 = tregister($0105001E);
NR_WZR = tregister($0104001F);
NR_XZR = tregister($0105001F);
NR_WSP = tregister($01040020);
NR_SP = tregister($01050020);
NR_NZCV = tregister($05000000);
NR_FPCR = tregister($05000001);
NR_FPSR = tregister($05000002);
NR_TPIDR_EL0 = tregister($05000003);
NR_MPIDR_EL1 = tregister($05000004);
NR_B0 = tregister($04010000);
NR_H0 = tregister($04030000);
NR_S0 = tregister($04090000);
NR_D0 = tregister($040a0000);
NR_Q0 = tregister($040b0000);
NR_V0 = tregister($04000000);
NR_V0_B = tregister($04200000);
NR_V0_H = tregister($04210000);
NR_V0_S = tregister($04220000);
NR_V0_D = tregister($04230000);
NR_V0_8B = tregister($04180000);
NR_V0_16B = tregister($04190000);
NR_V0_4H = tregister($041a0000);
NR_V0_8H = tregister($041b0000);
NR_V0_2S = tregister($041c0000);
NR_V0_4S = tregister($041d0000);
NR_V0_1D = tregister($041e0000);
NR_V0_2D = tregister($041f0000);
NR_B1 = tregister($04010001);
NR_H1 = tregister($04030001);
NR_S1 = tregister($04090001);
NR_D1 = tregister($040a0001);
NR_Q1 = tregister($040b0001);
NR_V1 = tregister($04000001);
NR_V1_B = tregister($04200001);
NR_V1_H = tregister($04210001);
NR_V1_S = tregister($04220001);
NR_V1_D = tregister($04230001);
NR_V1_8B = tregister($04180001);
NR_V1_16B = tregister($04190001);
NR_V1_4H = tregister($041a0001);
NR_V1_8H = tregister($041b0001);
NR_V1_2S = tregister($041c0001);
NR_V1_4S = tregister($041d0001);
NR_V1_1D = tregister($041e0001);
NR_V1_2D = tregister($041f0001);
NR_B2 = tregister($04010002);
NR_H2 = tregister($04030002);
NR_S2 = tregister($04090002);
NR_D2 = tregister($040a0002);
NR_Q2 = tregister($040b0002);
NR_V2 = tregister($04000002);
NR_V2_B = tregister($04200002);
NR_V2_H = tregister($04210002);
NR_V2_S = tregister($04220002);
NR_V2_D = tregister($04230002);
NR_V2_8B = tregister($04180002);
NR_V2_16B = tregister($04190002);
NR_V2_4H = tregister($041a0002);
NR_V2_8H = tregister($041b0002);
NR_V2_2S = tregister($041c0002);
NR_V2_4S = tregister($041d0002);
NR_V2_1D = tregister($041e0002);
NR_V2_2D = tregister($041f0002);
NR_B3 = tregister($04010003);
NR_H3 = tregister($04030003);
NR_S3 = tregister($04090003);
NR_D3 = tregister($040a0003);
NR_Q3 = tregister($040b0003);
NR_V3 = tregister($04000003);
NR_V3_B = tregister($04200003);
NR_V3_H = tregister($04210003);
NR_V3_S = tregister($04220003);
NR_V3_D = tregister($04230003);
NR_V3_8B = tregister($04180003);
NR_V3_16B = tregister($04190003);
NR_V3_4H = tregister($041a0003);
NR_V3_8H = tregister($041b0003);
NR_V3_2S = tregister($041c0003);
NR_V3_4S = tregister($041d0003);
NR_V3_1D = tregister($041e0003);
NR_V3_2D = tregister($041f0003);
NR_B4 = tregister($04010004);
NR_H4 = tregister($04030004);
NR_S4 = tregister($04090004);
NR_D4 = tregister($040a0004);
NR_Q4 = tregister($040b0004);
NR_V4 = tregister($04000004);
NR_V4_B = tregister($04200004);
NR_V4_H = tregister($04210004);
NR_V4_S = tregister($04220004);
NR_V4_D = tregister($04230004);
NR_V4_8B = tregister($04180004);
NR_V4_16B = tregister($04190004);
NR_V4_4H = tregister($041a0004);
NR_V4_8H = tregister($041b0004);
NR_V4_2S = tregister($041c0004);
NR_V4_4S = tregister($041d0004);
NR_V4_1D = tregister($041e0004);
NR_V4_2D = tregister($041f0004);
NR_B5 = tregister($04010005);
NR_H5 = tregister($04030005);
NR_S5 = tregister($04090005);
NR_D5 = tregister($040a0005);
NR_Q5 = tregister($040b0005);
NR_V5 = tregister($04000005);
NR_V5_B = tregister($04200005);
NR_V5_H = tregister($04210005);
NR_V5_S = tregister($04220005);
NR_V5_D = tregister($04230005);
NR_V5_8B = tregister($04180005);
NR_V5_16B = tregister($04190005);
NR_V5_4H = tregister($041a0005);
NR_V5_8H = tregister($041b0005);
NR_V5_2S = tregister($041c0005);
NR_V5_4S = tregister($041d0005);
NR_V5_1D = tregister($041e0005);
NR_V5_2D = tregister($041f0005);
NR_B6 = tregister($04010006);
NR_H6 = tregister($04030006);
NR_S6 = tregister($04090006);
NR_D6 = tregister($040a0006);
NR_Q6 = tregister($040b0006);
NR_V6 = tregister($04000006);
NR_V6_B = tregister($04200006);
NR_V6_H = tregister($04210006);
NR_V6_S = tregister($04220006);
NR_V6_D = tregister($04230006);
NR_V6_8B = tregister($04180006);
NR_V6_16B = tregister($04190006);
NR_V6_4H = tregister($041a0006);
NR_V6_8H = tregister($041b0006);
NR_V6_2S = tregister($041c0006);
NR_V6_4S = tregister($041d0006);
NR_V6_1D = tregister($041e0006);
NR_V6_2D = tregister($041f0006);
NR_B7 = tregister($04010007);
NR_H7 = tregister($04030007);
NR_S7 = tregister($04090007);
NR_D7 = tregister($040a0007);
NR_Q7 = tregister($040b0007);
NR_V7 = tregister($04000007);
NR_V7_B = tregister($04200007);
NR_V7_H = tregister($04210007);
NR_V7_S = tregister($04220007);
NR_V7_D = tregister($04230007);
NR_V7_8B = tregister($04180007);
NR_V7_16B = tregister($04190007);
NR_V7_4H = tregister($041a0007);
NR_V7_8H = tregister($041b0007);
NR_V7_2S = tregister($041c0007);
NR_V7_4S = tregister($041d0007);
NR_V7_1D = tregister($041e0007);
NR_V7_2D = tregister($041f0007);
NR_B8 = tregister($04010008);
NR_H8 = tregister($04030008);
NR_S8 = tregister($04090008);
NR_D8 = tregister($040a0008);
NR_Q8 = tregister($040b0008);
NR_V8 = tregister($04000008);
NR_V8_B = tregister($04200008);
NR_V8_H = tregister($04210008);
NR_V8_S = tregister($04220008);
NR_V8_D = tregister($04230008);
NR_V8_8B = tregister($04180008);
NR_V8_16B = tregister($04190008);
NR_V8_4H = tregister($041a0008);
NR_V8_8H = tregister($041b0008);
NR_V8_2S = tregister($041c0008);
NR_V8_4S = tregister($041d0008);
NR_V8_1D = tregister($041e0008);
NR_V8_2D = tregister($041f0008);
NR_B9 = tregister($04010009);
NR_H9 = tregister($04030009);
NR_S9 = tregister($04090009);
NR_D9 = tregister($040a0009);
NR_Q9 = tregister($040b0009);
NR_V9 = tregister($04000009);
NR_V9_B = tregister($04200009);
NR_V9_H = tregister($04210009);
NR_V9_S = tregister($04220009);
NR_V9_D = tregister($04230009);
NR_V9_8B = tregister($04180009);
NR_V9_16B = tregister($04190009);
NR_V9_4H = tregister($041a0009);
NR_V9_8H = tregister($041b0009);
NR_V9_2S = tregister($041c0009);
NR_V9_4S = tregister($041d0009);
NR_V9_1D = tregister($041e0009);
NR_V9_2D = tregister($041f0009);
NR_B10 = tregister($0401000A);
NR_H10 = tregister($0403000A);
NR_S10 = tregister($0409000A);
NR_D10 = tregister($040a000A);
NR_Q10 = tregister($040b000A);
NR_V10 = tregister($0400000A);
NR_V10_B = tregister($0420000A);
NR_V10_H = tregister($0421000A);
NR_V10_S = tregister($0422000A);
NR_V10_D = tregister($0423000A);
NR_V10_8B = tregister($0418000A);
NR_V10_16B = tregister($0419000A);
NR_V10_4H = tregister($041a000A);
NR_V10_8H = tregister($041b000A);
NR_V10_2S = tregister($041c000A);
NR_V10_4S = tregister($041d000A);
NR_V10_1D = tregister($041e000A);
NR_V10_2D = tregister($041f000A);
NR_B11 = tregister($0401000B);
NR_H11 = tregister($0403000B);
NR_S11 = tregister($0409000B);
NR_D11 = tregister($040a000B);
NR_Q11 = tregister($040b000B);
NR_V11 = tregister($0400000B);
NR_V11_B = tregister($0420000B);
NR_V11_H = tregister($0421000B);
NR_V11_S = tregister($0422000B);
NR_V11_D = tregister($0423000B);
NR_V11_8B = tregister($0418000B);
NR_V11_16B = tregister($0419000B);
NR_V11_4H = tregister($041a000B);
NR_V11_8H = tregister($041b000B);
NR_V11_2S = tregister($041c000B);
NR_V11_4S = tregister($041d000B);
NR_V11_1D = tregister($041e000B);
NR_V11_2D = tregister($041f000B);
NR_B12 = tregister($0401000C);
NR_H12 = tregister($0403000C);
NR_S12 = tregister($0409000C);
NR_D12 = tregister($040a000C);
NR_Q12 = tregister($040b000C);
NR_V12 = tregister($0400000C);
NR_V12_B = tregister($0420000C);
NR_V12_H = tregister($0421000C);
NR_V12_S = tregister($0422000C);
NR_V12_D = tregister($0423000C);
NR_V12_8B = tregister($0418000C);
NR_V12_16B = tregister($0419000C);
NR_V12_4H = tregister($041a000C);
NR_V12_8H = tregister($041b000C);
NR_V12_2S = tregister($041c000C);
NR_V12_4S = tregister($041d000C);
NR_V12_1D = tregister($041e000C);
NR_V12_2D = tregister($041f000C);
NR_B13 = tregister($0401000D);
NR_H13 = tregister($0403000D);
NR_S13 = tregister($0409000D);
NR_D13 = tregister($040a000D);
NR_Q13 = tregister($040b000D);
NR_V13 = tregister($0400000D);
NR_V13_B = tregister($0420000D);
NR_V13_H = tregister($0421000D);
NR_V13_S = tregister($0422000D);
NR_V13_D = tregister($0423000D);
NR_V13_8B = tregister($0418000D);
NR_V13_16B = tregister($0419000D);
NR_V13_4H = tregister($041a000D);
NR_V13_8H = tregister($041b000D);
NR_V13_2S = tregister($041c000D);
NR_V13_4S = tregister($041d000D);
NR_V13_1D = tregister($041e000D);
NR_V13_2D = tregister($041f000D);
NR_B14 = tregister($0401000E);
NR_H14 = tregister($0403000E);
NR_S14 = tregister($0409000E);
NR_D14 = tregister($040a000E);
NR_Q14 = tregister($040b000E);
NR_V14 = tregister($0400000E);
NR_V14_B = tregister($0420000E);
NR_V14_H = tregister($0421000E);
NR_V14_S = tregister($0422000E);
NR_V14_D = tregister($0423000E);
NR_V14_8B = tregister($0418000E);
NR_V14_16B = tregister($0419000E);
NR_V14_4H = tregister($041a000E);
NR_V14_8H = tregister($041b000E);
NR_V14_2S = tregister($041c000E);
NR_V14_4S = tregister($041d000E);
NR_V14_1D = tregister($041e000E);
NR_V14_2D = tregister($041f000E);
NR_B15 = tregister($0401000F);
NR_H15 = tregister($0403000F);
NR_S15 = tregister($0409000F);
NR_D15 = tregister($040a000F);
NR_Q15 = tregister($040b000F);
NR_V15 = tregister($0400000F);
NR_V15_B = tregister($0420000F);
NR_V15_H = tregister($0421000F);
NR_V15_S = tregister($0422000F);
NR_V15_D = tregister($0423000F);
NR_V15_8B = tregister($0418000F);
NR_V15_16B = tregister($0419000F);
NR_V15_4H = tregister($041a000F);
NR_V15_8H = tregister($041b000F);
NR_V15_2S = tregister($041c000F);
NR_V15_4S = tregister($041d000F);
NR_V15_1D = tregister($041e000F);
NR_V15_2D = tregister($041f000F);
NR_B16 = tregister($04010010);
NR_H16 = tregister($04030010);
NR_S16 = tregister($04090010);
NR_D16 = tregister($040a0010);
NR_Q16 = tregister($040b0010);
NR_V16 = tregister($04000010);
NR_V16_B = tregister($04200010);
NR_V16_H = tregister($04210010);
NR_V16_S = tregister($04220010);
NR_V16_D = tregister($04230010);
NR_V16_8B = tregister($04180010);
NR_V16_16B = tregister($04190010);
NR_V16_4H = tregister($041a0010);
NR_V16_8H = tregister($041b0010);
NR_V16_2S = tregister($041c0010);
NR_V16_4S = tregister($041d0010);
NR_V16_1D = tregister($041e0010);
NR_V16_2D = tregister($041f0010);
NR_B17 = tregister($04010011);
NR_H17 = tregister($04030011);
NR_S17 = tregister($04090011);
NR_D17 = tregister($040a0011);
NR_Q17 = tregister($040b0011);
NR_V17 = tregister($04000011);
NR_V17_B = tregister($04200011);
NR_V17_H = tregister($04210011);
NR_V17_S = tregister($04220011);
NR_V17_D = tregister($04230011);
NR_V17_8B = tregister($04180011);
NR_V17_16B = tregister($04190011);
NR_V17_4H = tregister($041a0011);
NR_V17_8H = tregister($041b0011);
NR_V17_2S = tregister($041c0011);
NR_V17_4S = tregister($041d0011);
NR_V17_1D = tregister($041e0011);
NR_V17_2D = tregister($041f0011);
NR_B18 = tregister($04010012);
NR_H18 = tregister($04030012);
NR_S18 = tregister($04090012);
NR_D18 = tregister($040a0012);
NR_Q18 = tregister($040b0012);
NR_V18 = tregister($04000012);
NR_V18_B = tregister($04200012);
NR_V18_H = tregister($04210012);
NR_V18_S = tregister($04220012);
NR_V18_D = tregister($04230012);
NR_V18_8B = tregister($04180012);
NR_V18_16B = tregister($04190012);
NR_V18_4H = tregister($041a0012);
NR_V18_8H = tregister($041b0012);
NR_V18_2S = tregister($041c0012);
NR_V18_4S = tregister($041d0012);
NR_V18_1D = tregister($041e0012);
NR_V18_2D = tregister($041f0012);
NR_B19 = tregister($04010013);
NR_H19 = tregister($04030013);
NR_S19 = tregister($04090013);
NR_D19 = tregister($040a0013);
NR_Q19 = tregister($040b0013);
NR_V19 = tregister($04000013);
NR_V19_B = tregister($04200013);
NR_V19_H = tregister($04210013);
NR_V19_S = tregister($04220013);
NR_V19_D = tregister($04230013);
NR_V19_8B = tregister($04180013);
NR_V19_16B = tregister($04190013);
NR_V19_4H = tregister($041a0013);
NR_V19_8H = tregister($041b0013);
NR_V19_2S = tregister($041c0013);
NR_V19_4S = tregister($041d0013);
NR_V19_1D = tregister($041e0013);
NR_V19_2D = tregister($041f0013);
NR_B20 = tregister($04010014);
NR_H20 = tregister($04030014);
NR_S20 = tregister($04090014);
NR_D20 = tregister($040a0014);
NR_Q20 = tregister($040b0014);
NR_V20 = tregister($04000014);
NR_V20_B = tregister($04200014);
NR_V20_H = tregister($04210014);
NR_V20_S = tregister($04220014);
NR_V20_D = tregister($04230014);
NR_V20_8B = tregister($04180014);
NR_V20_16B = tregister($04190014);
NR_V20_4H = tregister($041a0014);
NR_V20_8H = tregister($041b0014);
NR_V20_2S = tregister($041c0014);
NR_V20_4S = tregister($041d0014);
NR_V20_1D = tregister($041e0014);
NR_V20_2D = tregister($041f0014);
NR_B21 = tregister($04010015);
NR_H21 = tregister($04030015);
NR_S21 = tregister($04090015);
NR_D21 = tregister($040a0015);
NR_Q21 = tregister($040b0015);
NR_V21 = tregister($04000015);
NR_V21_B = tregister($04200015);
NR_V21_H = tregister($04210015);
NR_V21_S = tregister($04220015);
NR_V21_D = tregister($04230015);
NR_V21_8B = tregister($04180015);
NR_V21_16B = tregister($04190015);
NR_V21_4H = tregister($041a0015);
NR_V21_8H = tregister($041b0015);
NR_V21_2S = tregister($041c0015);
NR_V21_4S = tregister($041d0015);
NR_V21_1D = tregister($041e0015);
NR_V21_2D = tregister($041f0015);
NR_B22 = tregister($04010016);
NR_H22 = tregister($04030016);
NR_S22 = tregister($04090016);
NR_D22 = tregister($040a0016);
NR_Q22 = tregister($040b0016);
NR_V22 = tregister($04000016);
NR_V22_B = tregister($04200016);
NR_V22_H = tregister($04210016);
NR_V22_S = tregister($04220016);
NR_V22_D = tregister($04230016);
NR_V22_8B = tregister($04180016);
NR_V22_16B = tregister($04190016);
NR_V22_4H = tregister($041a0016);
NR_V22_8H = tregister($041b0016);
NR_V22_2S = tregister($041c0016);
NR_V22_4S = tregister($041d0016);
NR_V22_1D = tregister($041e0016);
NR_V22_2D = tregister($041f0016);
NR_B23 = tregister($04010017);
NR_H23 = tregister($04030017);
NR_S23 = tregister($04090017);
NR_D23 = tregister($040a0017);
NR_Q23 = tregister($040b0017);
NR_V23 = tregister($04000017);
NR_V23_B = tregister($04200017);
NR_V23_H = tregister($04210017);
NR_V23_S = tregister($04220017);
NR_V23_D = tregister($04230017);
NR_V23_8B = tregister($04180017);
NR_V23_16B = tregister($04190017);
NR_V23_4H = tregister($041a0017);
NR_V23_8H = tregister($041b0017);
NR_V23_2S = tregister($041c0017);
NR_V23_4S = tregister($041d0017);
NR_V23_1D = tregister($041e0017);
NR_V23_2D = tregister($041f0017);
NR_B24 = tregister($04010018);
NR_H24 = tregister($04030018);
NR_S24 = tregister($04090018);
NR_D24 = tregister($040a0018);
NR_Q24 = tregister($040b0018);
NR_V24 = tregister($04000018);
NR_V24_B = tregister($04200018);
NR_V24_H = tregister($04210018);
NR_V24_S = tregister($04220018);
NR_V24_D = tregister($04230018);
NR_V24_8B = tregister($04180018);
NR_V24_16B = tregister($04190018);
NR_V24_4H = tregister($041a0018);
NR_V24_8H = tregister($041b0018);
NR_V24_2S = tregister($041c0018);
NR_V24_4S = tregister($041d0018);
NR_V24_1D = tregister($041e0018);
NR_V24_2D = tregister($041f0018);
NR_B25 = tregister($04010019);
NR_H25 = tregister($04030019);
NR_S25 = tregister($04090019);
NR_D25 = tregister($040a0019);
NR_Q25 = tregister($040b0019);
NR_V25 = tregister($04000019);
NR_V25_B = tregister($04200019);
NR_V25_H = tregister($04210019);
NR_V25_S = tregister($04220019);
NR_V25_D = tregister($04230019);
NR_V25_8B = tregister($04180019);
NR_V25_16B = tregister($04190019);
NR_V25_4H = tregister($041a0019);
NR_V25_8H = tregister($041b0019);
NR_V25_2S = tregister($041c0019);
NR_V25_4S = tregister($041d0019);
NR_V25_1D = tregister($041e0019);
NR_V25_2D = tregister($041f0019);
NR_B26 = tregister($0401001A);
NR_H26 = tregister($0403001A);
NR_S26 = tregister($0409001A);
NR_D26 = tregister($040a001A);
NR_Q26 = tregister($040b001A);
NR_V26 = tregister($0400001A);
NR_V26_B = tregister($0420001A);
NR_V26_H = tregister($0421001A);
NR_V26_S = tregister($0422001A);
NR_V26_D = tregister($0423001A);
NR_V26_8B = tregister($0418001A);
NR_V26_16B = tregister($0419001A);
NR_V26_4H = tregister($041a001A);
NR_V26_8H = tregister($041b001A);
NR_V26_2S = tregister($041c001A);
NR_V26_4S = tregister($041d001A);
NR_V26_1D = tregister($041e001A);
NR_V26_2D = tregister($041f001A);
NR_B27 = tregister($0401001B);
NR_H27 = tregister($0403001B);
NR_S27 = tregister($0409001B);
NR_D27 = tregister($040a001B);
NR_Q27 = tregister($040b001B);
NR_V27 = tregister($0400001B);
NR_V27_B = tregister($0420001B);
NR_V27_H = tregister($0421001B);
NR_V27_S = tregister($0422001B);
NR_V27_D = tregister($0423001B);
NR_V27_8B = tregister($0418001B);
NR_V27_16B = tregister($0419001B);
NR_V27_4H = tregister($041a001B);
NR_V27_8H = tregister($041b001B);
NR_V27_2S = tregister($041c001B);
NR_V27_4S = tregister($041d001B);
NR_V27_1D = tregister($041e001B);
NR_V27_2D = tregister($041f001B);
NR_B28 = tregister($0401001C);
NR_H28 = tregister($0403001C);
NR_S28 = tregister($0409001C);
NR_D28 = tregister($040a001C);
NR_Q28 = tregister($040b001C);
NR_V28 = tregister($0400001C);
NR_V28_B = tregister($0420001C);
NR_V28_H = tregister($0421001C);
NR_V28_S = tregister($0422001C);
NR_V28_D = tregister($0423001C);
NR_V28_8B = tregister($0418001C);
NR_V28_16B = tregister($0419001C);
NR_V28_4H = tregister($041a001C);
NR_V28_8H = tregister($041b001C);
NR_V28_2S = tregister($041c001C);
NR_V28_4S = tregister($041d001C);
NR_V28_1D = tregister($041e001C);
NR_V28_2D = tregister($041f001C);
NR_B29 = tregister($0401001D);
NR_H29 = tregister($0403001D);
NR_S29 = tregister($0409001D);
NR_D29 = tregister($040a001D);
NR_Q29 = tregister($040b001D);
NR_V29 = tregister($0400001D);
NR_V29_B = tregister($0420001D);
NR_V29_H = tregister($0421001D);
NR_V29_S = tregister($0422001D);
NR_V29_D = tregister($0423001D);
NR_V29_8B = tregister($0418001D);
NR_V29_16B = tregister($0419001D);
NR_V29_4H = tregister($041a001D);
NR_V29_8H = tregister($041b001D);
NR_V29_2S = tregister($041c001D);
NR_V29_4S = tregister($041d001D);
NR_V29_1D = tregister($041e001D);
NR_V29_2D = tregister($041f001D);
NR_B30 = tregister($0401001E);
NR_H30 = tregister($0403001E);
NR_S30 = tregister($0409001E);
NR_D30 = tregister($040a001E);
NR_Q30 = tregister($040b001E);
NR_V30 = tregister($0400001E);
NR_V30_B = tregister($0420001E);
NR_V30_H = tregister($0421001E);
NR_V30_S = tregister($0422001E);
NR_V30_D = tregister($0423001E);
NR_V30_8B = tregister($0418001E);
NR_V30_16B = tregister($0419001E);
NR_V30_4H = tregister($041a001E);
NR_V30_8H = tregister($041b001E);
NR_V30_2S = tregister($041c001E);
NR_V30_4S = tregister($041d001E);
NR_V30_1D = tregister($041e001E);
NR_V30_2D = tregister($041f001E);
NR_B31 = tregister($0401001F);
NR_H31 = tregister($0403001F);
NR_S31 = tregister($0409001F);
NR_D31 = tregister($040a001F);
NR_Q31 = tregister($040b001F);
NR_V31 = tregister($0400001F);
NR_V31_B = tregister($0420001F);
NR_V31_H = tregister($0421001F);
NR_V31_S = tregister($0422001F);
NR_V31_D = tregister($0423001F);
NR_V31_8B = tregister($0418001F);
NR_V31_16B = tregister($0419001F);
NR_V31_4H = tregister($041a001F);
NR_V31_8H = tregister($041b001F);
NR_V31_2S = tregister($041c001F);
NR_V31_4S = tregister($041d001F);
NR_V31_1D = tregister($041e001F);
NR_V31_2D = tregister($041f001F);
